# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
%define fedora 19
Name:		dmlite-plugins-profiler
Version:	0.5.0
Release:	alt1_3
Summary:	Profiler plugin for dmlite
Group:		Networking/WWW
License:	ASL 2.0
URL:		https://svnweb.cern.ch/trac/lcgdm
# The source of this package was pulled from upstream's vcs. Use the
# following commands to generate the tarball:
# svn export http://svn.cern.ch/guest/lcgdm/dmlite-plugins-profiler/tags/dmlite-plugins-profiler_0_5_0 dmlite-plugins-profiler-0.5.0
# tar -czvf dmlite-plugins-profiler-0.5.0.tar.gz dmlite-plugins-profiler-0.5.0
Source0:	%{name}-%{version}.tar.gz

%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires: boost-devel boost-filesystem-devel boost-wave-devel boost-graph-parallel-devel boost-math-devel boost-mpi-devel boost-program_options-devel boost-signals-devel boost-intrusive-devel boost-asio-devel
%else
BuildRequires:	boost141-devel
%endif
BuildRequires: ctest cmake
BuildRequires:	dmlite-devel >= 0.6.0
Source44: import.info

%description
This package provides the profiler plug-in for dmlite. This plug-in is a simple
wrapper around a real plug-in implementation, and is used to do multiple
measurements regarding the performance of each call to dmlite.

%prep
%setup -q -n %{name}-%{version}

%build
%{fedora_cmake} . -DCMAKE_INSTALL_PREFIX=/

make %{?_smp_mflags}

%install
mkdir -p %{buildroot}

make install DESTDIR=%{buildroot}

%files 
%{_libdir}/dmlite/plugin_profiler.so
%doc LICENSE README RELEASE-NOTES
%config(noreplace) %{_sysconfdir}/dmlite.conf.d/*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.5.0-alt1_3
- update to new release by fcimport

* Fri Dec 14 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.0-alt1_2
- converted for ALT Linux by srpmconvert tools

